#root {
  overflow-x: hidden;
}
* {
  font-family: "Raleway", sans-serif;
  font-weight: 400;
}
body {
  margin: 0;
  --margin-slider: 0px;
  overflow-x: hidden;
}
.content {
  margin-top: 250px;
  padding: 30px 10vw;
}
#footer {
  padding: 30px 10vw;
}
.content-home {
  padding: 30px 10vw;
  margin-top: 80px;
}
.slash-title {
  letter-spacing: 12px;
  margin-bottom: 40px;
  font-weight: 700;
  font-size: 13pt;
}
.slash-title::before {
  content: "|";
  margin-right: 35px;
  letter-spacing: 8px;
}
.title {
  letter-spacing: 8px;
}

.container-text-image-right {
  display: flex;
  margin-bottom: 130px;
}
.container-text-image-right .left {
  flex: 5 5;
}
img {
  max-width: 100%;
}
.container-text-image-right .text {
  font-size: 12pt;
  line-height: 30px;
}
.text {
  font-size: 12pt;
  line-height: 30px;
}
.container-text-image-right .left .text {
  width: 80%;
  position: relative;
}
.container-text-image-right .right {
  display: flex;
  align-items: center;
  flex: 5 5;
}
.container-text-image-right .wrapper-line {
  position: relative;
  height: 40px;
  margin-top: 30px;
  margin-bottom: 30px;
}
.container-text-image-right .line-text {
  background-color: #000;
  position: absolute;
  font-weight: 700;
  left: 0;
  letter-spacing: 4px;
  width: 45vw;
  margin-right: -80px;
  height: 38px;
  display: flex;
  align-items: center;
  padding-left: 400px;
  padding-right: 40px;
  margin-left: -400px;
  font-size: 11pt;
  color: #fff;
}

.container-text-image-left {
  display: flex;
  text-align: right;
  margin-bottom: 100px;
}
.container-text-image-left .left {
  display: flex;
  align-items: center;
  flex: 5 5;
}
img {
  max-width: 100%;
}
.container-text-image-left .text {
  font-size: 12pt;
  line-height: 30px;
}
.container-text-image-left .right .text {
  margin-left: 100px;
  position: relative;
}
.container-text-image-left .right {
  flex: 5 5;
}
.container-text-image-left .wrapper-line {
  position: relative;
  height: 40px;
  margin-top: 30px;
  margin-bottom: 30px;
}
.container-text-image-left .line-text {
  background-color: #000;
  position: absolute;
  font-weight: 700;
  right: 0;
  letter-spacing: 4px;
  width: 45vw;
  margin-left: -80px;
  height: 38px;
  display: flex;
  align-items: center;
  justify-content: end;
  padding-right: 400px;
  padding-left: 40px;
  margin-right: -400px;
  font-size: 11pt;
  color: #fff;
}

.timeline {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  margin-bottom: 130px;
}
.slider-timeline {
  width: 700px;
  align-self: center;
  display: flex;
  overflow: hidden;
  position: relative;
}
.slide {
  min-width: 700px;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: 1s;
}
.year {
  background-color: #000;
  color: #fff;
  align-self: center;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 65%;
  height: 40px;
  font-size: 14pt;
  font-weight: 600;
  margin-bottom: 30px;
}
.timeline-title {
  margin-bottom: 80px;
  letter-spacing: 12px;
  font-weight: 700;
  font-size: 14pt;
}
.slide {
  margin-left: var(--margin-slider);
}
.slide ~ .slide {
  margin-left: 0;
}

#previous-button {
  position: absolute;
  left: 0;
  top: 80px;
  cursor: pointer;
}
#next-button {
  position: absolute;
  right: 0;
  top: 80px;
  cursor: pointer;
}
.material-icons-outlined {
  font-family: "Material Icons";
  font-weight: normal;
  font-style: normal;
  font-size: 50px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  user-select: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
}
.description {
  max-width: 540px;
}
.buttons-wrapper {
  position: relative;
  width: 800px;
  max-width: 800px;
}
.footer-container {
  display: flex;
  align-items: center;
  justify-content: center;
}
.left-footer,
.middle-footer,
.right-footer {
  flex: 1 1;
  display: flex;
  align-items: center;
  justify-content: center;
}
.social-icon {
  height: 30px;
  width: 30px;
  margin-left: 20px;
  margin-right: 20px;
  cursor: pointer;
}
.right-footer {
  align-items: end;
  text-align: right;
  line-height: 25px;
  flex-direction: column;
}
.mt-30 {
  margin-top: 30px;
}
.link {
  text-decoration: underline;
  color: #000;
  font-weight: bold;
}
.bg-home {
  background-image: url("../assets/header.png");
  background-repeat: no-repeat;
  height: 130vh;
  background-size: cover;
}
@media (max-width: 1200px) {
  .project-image-container::before {
    transform: translate(0) !important;
    font-size: 12pt !important;
  }
  .btn-move {
    font-size: 11pt !important;
  }
  .categories .slashes {
    margin-right: 10px;
    margin-left: 10px;
  }
  .category {
    font-size: 11pt !important;
    letter-spacing: 9px !important;
  }
  .logo-white {
    display: none;
  }
  .line-text {
    font-size: 10pt !important;
  }
  .slash-title,
  .timeline-title,
  .text {
    font-size: 11pt !important;
  }
  .container-text-image-right,
  .container-text-image-left,
  .timeline {
    margin-bottom: 80px !important;
  }
  .container-text-image-right .left .text {
    width: 94% !important;
  }
  .container-text-image-left .right .text {
    margin-left: 6% !important;
  }
}
@media (max-width: 990px) {
  #image-contato {
    display: none;
  }
  .container-text-image-right {
    flex-direction: column;
    margin-bottom: 60px;
  }
  .container-text-image-left .line-text {
    left: 0 !important;
    right: auto !important;
    width: auto !important;
    text-align: left;
    padding-left: 400px !important;
    padding-right: 40px !important;
    margin-left: -400px !important;
    margin-right: -80px !important;
  }
  .container-text-image-left {
    flex-direction: column-reverse;
    margin-bottom: 60px;
  }
  .container-text-image-right .line-text {
    width: auto;
  }
  .container-text-image-left .line-text {
    width: auto;
  }
  .container-text-image-right .right {
    margin-top: 30px;
  }
  .container-text-image-left .left {
    margin-top: 30px;
  }
  .container-text-image-right .left .text {
    width: 100%;
  }
  .container-text-image-left .right .text {
    margin-left: 0;
    text-align: left;
  }
  .slider-timeline {
    width: 100%;
  }
  .slide {
    min-width: 100%;
  }
  .description {
    width: 100%;
  }
  .buttons-wrapper {
    width: 120%;
  }
  .footer-container {
    flex-direction: column;
    gap: 30px;
  }
  .right-footer {
    align-items: center;
    text-align: center;
    line-height: 25px;
    flex-direction: column;
  }
  .logo-white {
    display: none;
  }
  .bg-home {
    height: 100vh;
  }
  .slash-title {
    font-size: 11pt !important;
    text-align: left;
  }
  .content {
    margin-top: 120px !important;
  }
  .text {
    font-size: 11pt !important;
  }
  .line-text {
    font-size: 10pt !important;
  }
  .timeline-title {
    font-size: 11pt !important;
    margin-bottom: 40px !important;
  }
  .line-social-media {
    width: 100%;
    justify-content: center;
  }
  .categories {
    flex-direction: column;
    gap: 26px;
    padding-top: 15px;
    padding-bottom: 15px;
    height: auto !important;
    background-color: transparent !important;
  }
  .category {
    background-color: #000;
    height: 40px;
    display: flex;
    align-items: center;
    width: 100%;
  }
  .category::before {
    content: "|";
    margin-right: 10px;
    margin-left: 20px;
    font-size: 13pt;
    letter-spacing: 13px;
    font-weight: 600;
  }
  .project-images {
    margin-top: 250px !important;
  }
  .btn-move {
    letter-spacing: 3px !important;
    font-size: 11pt !important;
  }
  .btn-move::after {
    margin-left: 5px !important;
  }
  .project-image-container:nth-child(1)::before {
    font-size: 11pt !important;
    width: 40vw !important;
  }
  .project-image-min-container:nth-child(1)::before {
    font-size: 11pt !important;
  }
  .project-image-min-container:nth-child(2)::before {
    font-size: 11pt !important;
    width: 100% !important;
    top: 5% !important;
    height: 50% !important;
  }
  .slashes {
    display: none;
  }
}
.project-images {
  margin-top: 50px;
}
.logo-white {
  width: 270px;
  left: 13vw;
  top: 15vh;
  position: absolute;
}
.contact-info {
  line-height: 30px;
}
.email {
  text-decoration: none;
  color: #000;
  font-weight: bold;
}
.email:hover,
.email:active,
.email:focus {
  text-decoration: underline;
}

.container-text-image-right .line-social-media {
  background-color: #000;
  position: absolute;
  font-weight: 700;
  left: 0;
  letter-spacing: 4px;
  margin-right: -80px;
  height: 38px;
  display: flex;
  align-items: center;
  padding-left: 400px;
  padding-right: 120px;
  margin-left: -400px;
  font-size: 11pt;
  color: #fff;
  gap: 4vw;
}
.social-icon-white {
  height: 25px;
  width: 25px;
  cursor: pointer;
}

/* Estilo do menu de filtro */
#menu-filtro {
  display: flex;
  justify-content: center;
  margin-bottom: 30px;
}

#menu-filtro button {
  margin-right: 10px;
  padding: 10px 20px;
  border: none;
  border-radius: 20px;
  font-size: 16px;
  font-weight: bold;
  color: #fff;
  background-color: #333;
  cursor: pointer;
}

#menu-filtro button.active {
  background-color: #555;
}

/* Estilo dos projetos */
#projetos {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.projeto-item {
  width: calc(33.33% - 10px);
  margin-bottom: 30px;
  padding: 20px;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease-in-out;
}

.projeto-item:hover,
.project-item:active,
.project-item:focus {
  transform: translateY(-5px);
  box-shadow: 2px 5px 10px rgba(0, 0, 0, 0.2);
}

.projeto-item img {
  width: 100%;
  height: auto;
  margin-bottom: 10px;
  border-radius: 5px;
}

.projeto-item h3 {
  margin-top: 0;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.projeto-item p {
  font-size: 14px;
  text-align: justify;
}

.projeto-item .categoria {
  display: block;
  margin-top: 10px;
  padding: 5px 10px;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  color: #fff;
  background-color: #333;
  border-radius: 20px;
}

.categories {
  background-color: #000;
  position: absolute;
  font-weight: 700;
  left: 0;
  letter-spacing: 4px;
  width: 63vw;
  margin-right: -80px;
  height: 38px;
  display: flex;
  align-items: center;
  padding-left: 400px;
  padding-right: 40px;
  margin-left: -400px;
  font-size: 11pt;
  color: #fff;
}
.category {
  cursor: pointer;
  font-size: 11pt;
  font-weight: 600;
  letter-spacing: 10px;
  transition: 0.5s;
}
.category:hover {
  transform: scale(1.1);
}

.categories-wrapper {
  position: relative;
  height: 40px;
  margin-top: 30px;
  margin-bottom: 30px;
}
.category.active {
  font-size: 12pt;
  font-weight: 800;
}
.project-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.project-image-container::before {
  content: attr(data-before);
  position: absolute;
  bottom: 8%;
  background-color: #fff;
  font-weight: 700;
  z-index: 10;
  left: -20px;
  transition: 0.4s;
  transform: translate(-100%);
  letter-spacing: 4px;
  margin-right: 0px;
  height: 50px;
  display: flex;
  align-items: center;
  padding-left: 40px;
  font-size: 14pt;
  color: #000;
  padding-right: 30px;
}
.project-image-container:hover::before {
  transform: translate(0);
}
.project-image-container {
  position: relative;
  overflow: hidden;
}
.project-image-container:nth-child(1) {
  position: relative;
  object-fit: cover;
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 1;
}
.project-image-container:nth-child(2) {
  object-fit: cover;
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 1;
}
.project-image-container:nth-child(3) {
  object-fit: cover;
  grid-column-start: 5;
  grid-column-end: 7;
  grid-row-start: 1;
  grid-row-end: 1;
}
.project-image-container:nth-child(4) {
  position: relative;
  object-fit: cover;
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 2;
}
.project-image-container:nth-child(5) {
  object-fit: cover;
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 2;
}
.project-image-container:nth-child(6) {
  object-fit: cover;
  grid-column-start: 5;
  grid-column-end: 7;
  grid-row-start: 2;
  grid-row-end: 2;
}

.project-images {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: repeat(2, 35vw);
  grid-gap: 15px;
}
.project-images img,
.project-images-min img {
  -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
  filter: grayscale(100%);
  transition: 0.6s ease-in-out;
}

.project-image:hover,
.project-image-min:hover {
  -webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
  filter: grayscale(0%);
}

.move-buttons {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  margin-bottom: 20px;
}
.btn-move {
  color: #000;
  border: none;
  padding: 10px 20px;
  font-size: 14pt;
  font-weight: bold;
  text-transform: uppercase;
  transition: all 0.3s ease-in-out;
  letter-spacing: 10px;
  cursor: pointer;
}
.btn-move::after {
  content: "|";
  width: 0;
  height: 2px;
  margin-left: 30px;
}
.btn-move:hover,
.btn-move:focus,
.btn-move:active {
  background-color: #000;
  color: #fff;
}

@media (max-width: 1500px) {
  .categories {
    width: 80vw !important;
  }
}

.project-image-min {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project-image-min-container:nth-child(1)::before {
  content: attr(data-before);
  position: absolute;
  bottom: 8%;
  background-color: #fff;
  z-index: 10;
  font-weight: 700;
  left: 0;
  letter-spacing: 4px;
  width: 28vw;
  margin-right: -80px;
  height: 50px;
  display: flex;
  align-items: center;
  padding-left: 40px;
  font-size: 14pt;
  color: #000;
}

.project-image-min-container:nth-child(1) {
  position: relative;
  object-fit: cover;
  grid-column-start: 1;
  grid-column-end: 7;
  grid-row-start: 1;
  grid-row-end: 1;
}
.project-image-min-container:nth-child(2) {
  object-fit: cover;
  grid-column-start: 7;
  grid-column-end: 9;
  grid-row-start: 1;
  grid-row-end: 1;
}
.project-image-min-container:nth-child(3) {
  object-fit: cover;
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 2;
}
.project-image-min-container:nth-child(4) {
  object-fit: cover;
  grid-column-start: 3;
  grid-column-end: 9;
  grid-row-start: 2;
  grid-row-end: 2;
}

.project-images-min {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(2, 35vw);
  grid-gap: 15px;
}
.move-button {
  display: flex;
  align-items: center;
  justify-content: end;
  margin-top: 15px;
  margin-bottom: 60px;
}
.btn-move {
  text-decoration: none;
}
#project-images-min-2 .project-image-min-container {
  position: relative;
}
#project-images-min-2 .project-image-min-container:nth-child(1)::before {
  display: none;
}
#project-images-min-2 .project-image-min-container:nth-child(2)::before {
  content: attr(data-before);
  position: absolute;
  top: 10%;
  background-color: #fff;
  font-weight: 700;
  z-index: 10;
  left: 0;
  letter-spacing: 4px;
  width: 50%;
  margin-right: -80px;
  height: 30%;
  display: flex;
  align-items: center;
  padding-left: 20px;
  font-size: 14pt;
  word-spacing: 100vw;
  color: #000;
}
div [onclick] {
  cursor: pointer;
}
.center {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.center h1 {
  margin-top: 0;
  font-size: 5vw;
  font-weight: 700;
  letter-spacing: 4px;
  text-transform: uppercase;
  color: #000;
}
